Make LQA profile default
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/lqa/profiles/{profileUid}/default \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/lqa/profiles/{profileUid}/default"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/lqa/profiles/{profileUid}/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"isDefault": true,
"name": "<string>",
"organization": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"uid": "string"
}Quality Assurance
Make LQA profile default
Sets this profile as the organization’s default LQA profile. Requires LQA to be enabled for the organization. Requires internal role.
POST
/
api2
/
v1
/
lqa
/
profiles
/
{profileUid}
/
default
Make LQA profile default
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the LQA profile
Response
OK
Show child attributes
Show child attributes
When profile was created
If profile is set as default for organization
Name of the profile
Reference to an object by its unique identifier
Show child attributes
Show child attributes
UID of the profile
Example:
"string"
Was this page helpful?